/** !! Do not edit this file !!
 
SiconosConfig.h is generated by cmake from config.h.cmake
depending on the current configuration, on user options (WITH_...) and on their
availability on your system.
Example : if cmake is executed with WITH_MPI=ON
--> if a proper mpi installation is found on your system, then
 SICONOS_HAS_MPI is on and will be defined in this file.
**/

#ifndef SICONOSCONFIG_H
#define SICONOSCONFIG_H

#define WITH_CMAKE

// -- Siconos components --
#define HAVE_SICONOS_EXTERNALS
#define HAVE_SICONOS_NUMERICS
#define HAVE_SICONOS_KERNEL
#define HAVE_SICONOS_CONTROL
#define HAVE_SICONOS_MECHANICS
/* #undef HAVE_SICONOS_MECHANISMS */
#define HAVE_SICONOS_IO

// -- Global options --
// openmp required and available -
/* #undef WITH_OPENMP */
// Fortran sources included in the build -
#define HAS_FORTRAN
// Use c++ to build externals and numerics
/* #undef BUILD_AS_CPP */
// Which version of C++ was used to compile siconos, needed for swig
//#define SICONOS_CXXVERSION 
#define SICONOS_USE_MAP_FOR_HASH
// are int 64 bits longs
#define SICONOS_INT64

// use to force 32 bits int when creating numpy array
// Useful to support old scipy version (< 0.14.0)
/* #undef SICONOS_FORCE_NPY_INT32 */

// on opensuse 42.3 Stdxx.h, failure with cxx11 and using std::isnan
/* #undef SICONOS_STD_ISNAN_ALREADY_HERE_AND_I_DO_NOT_KNOW_WHY */

// -- Blas Lapack config --
// Where does cblas comes from? 
/* #undef HAS_MKL_CBLAS */
/* #undef HAS_ACCELERATE */
#define HAS_OpenBLAS 
// mkl stuff.
/* #undef WITH_MKL_SPBLAS */
/* #undef WITH_MKL_PARDISO */

// Which Lapack? 
/* #undef HAS_MKL_LAPACKE */
/* #undef HAS_MATLAB_LAPACK */

// Which functions are defined in lapack?
// This concerns only functions that are not available in all implementations.
#define HAS_LAPACK_dgesvd
#define HAS_LAPACK_dtrtrs
#define HAS_LAPACK_dgels


// -- Optional parts in externals --
#define HAVE_SORT
/* #undef HAVE_QL0001 */
// Some definitions required for boost numeric_bindings
#define BOOST_NUMERIC_BINDINGS_BLAS_CBLAS
#if defined(HAS_MKL_CBLAS)
#define BOOST_NUMERIC_BINDINGS_BLAS_MKL
#endif

// -- Optional solvers and tools for numerics --
// - Simplex solver -
/* #undef HAVE_MLCPSIMPLEX */
// LP solver
/* #undef HAS_ONE_LP_SOLVER */
/* #undef HAS_EXTREME_POINT_ALGO */
// Gams stuff
/* #undef GAMS_MODELS_SOURCE_DIR */
/* #undef GAMS_MODELS_SHARE_DIR */
/* #undef GAMS_DIR */
/* #undef HAVE_GAMS_C_API */
// - Path solver -
/* #undef HAVE_PATHFERRIS */
/* #undef HAVE_PATHVI */
// umfpack solvers
/* #undef WITH_UMFPACK */
// SuperLU solvers
/* #undef WITH_SUPERLU */
/* #undef WITH_SUPERLU_MT */
/* #undef WITH_SUPERLU_dist */

// - internal timer -
/* #undef HAVE_TIME_H */
/* #undef HAVE_SYSTIMES_H */
/* #undef WITH_TIMERS */
// - mpi part -
/* #undef SICONOS_HAS_MPI */
/* #undef WITH_MPI4PY */
// - mumps solver -
#define WITH_MUMPS
// - fclib interface -
#define WITH_FCLIB
// option in fc problems used to dump some info.
/* #undef DUMP_PROBLEM */

// -- Optional parts for mechanics --
#define SICONOS_HAS_BULLET
/* #undef SICONOS_HAS_OCE */

// -- Optional parts for io --
/* #undef SICONOS_HAS_VTK */
/* #undef HAVE_SERIALIZATION */
#define WITH_SERIALIZATION
/* #undef HAVE_GENERATION */
/* #undef WITH_HDF5 */



#endif

