# =================================================================
# siconos configuration file.
# Check https://cmake.org/cmake/help/latest/manual/cmake-packages.7.html#creating-packages
# This file has been generated during siconos install and
# may be used by another cmake project to retrieve all the configuration variables
# of siconos.
#
#
# Usage :
# 
# find_package(siconos)
#  ... define some target ...
# target_link_libraries(my_target ${siconos_LIBRARIES})
#
# A call to find_package(siconos) will define targets
# Siconos::<component> with component = externals, numerics, kernel ...
# 


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was siconos-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/siconos-4.3.0" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include(CMakeFindDependencyMacro)

# Name of the siconos package
set(PACKAGE_NAME siconos)

# set path to siconos installation
set_and_check(siconos_ROOT "/usr")

# set list of targets build by siconos project
set(installed_targets "externals;numerics;kernel;control;mechanics;io")

# Path (relative to siconos install) to cmake extra tools
set(SICONOS_CMAKE_MODULE_PATH /usr/lib/cmake/siconos-4.3.0)
list(APPEND CMAKE_MODULE_PATH ${SICONOS_CMAKE_MODULE_PATH})
# include siconos project targets
include("${CMAKE_CURRENT_LIST_DIR}/siconosTargets.cmake")

set(CMAKE_CXX_STANDARD 11)

# --- Siconos extra components or options ---
set(HAS_PYTHON_WRAPPER ON)
if(HAS_PYTHON_WRAPPER)
  set(PYTHON_EXECUTABLE  /usr/bin/python3)
  set(Python3_EXECUTABLE /usr/bin/python3)
endif()

# --- Numerics component extras ---
set(HAS_ONE_LP_SOLVER )

# --- Mechanics component extras ---
# mechanics component with bullet?
set(SICONOS_HAS_BULLET TRUE)

# mechanics (and/or mechanisms) component with oce?
set(SICONOS_HAS_OCE )

if(ON)
  if(${CMAKE_VERSION} VERSION_GREATER "3.12.0")
    set(FCLIB_ROOT )
  else()
    set(FCLIB_DIR /usr/lib/cmake/fclib-3.1.0)
  endif()
  
  # Look for fclib in default path, FCLIB_DIR (cmake <3.12)
  # and/or FCLIB_ROOT (cmake >= 3.12).
  find_dependency(FCLIB 3.0.0 CONFIG REQUIRED)
endif()
